org.eclipse.ease.lang.javascript.rhino

## Class ObservingContextFactory

- java.lang.Object
- - org.mozilla.javascript.ContextFactory
  - - org.eclipse.ease.lang.javascript.rhino.ObservingContextFactory

    public class ObservingContextFactory
    extends org.mozilla.javascript.ContextFactory

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mozilla.javascript.ContextFactory

`org.mozilla.javascript.ContextFactory.GlobalSetter, org.mozilla.javascript.ContextFactory.Listener`

### Constructor Summary

Constructors
Constructor and Description
`ObservingContextFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelTerminate(org.mozilla.javascript.Context context)`
`void` `terminate(org.mozilla.javascript.Context context)`

### Methods inherited from class org.mozilla.javascript.ContextFactory

`addListener, call, enter, enterContext, enterContext, exit, getApplicationClassLoader, getGlobal, getGlobalSetter, hasExplicitGlobal, initApplicationClassLoader, initGlobal, isSealed, removeListener, seal`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObservingContextFactory

    public ObservingContextFactory()

### Method Detail

#### terminate

    public void terminate(org.mozilla.javascript.Context context)

#### cancelTerminate

    public void cancelTerminate(org.mozilla.javascript.Context context)